ScrumAlliance Burndown plugin - No version error

Added by Mischa The Evil over 8 years ago

Hi,

I just did some tests with v.1.1.3 of the SA Burndown plugin and came around an error when no versions are configured for the individual project.

To solve the issue change line 5 in the file ../vendor/plugins/redmine_burndown/lib/scrum_alliance/redmine/current_version_extension.rb from:

        versions.detect {|version| version.created_on.to_date <= Date.current && version.effective_date >= Date.current }

to:

        versions.detect {|version| version.created_on.to_date <= Date.current && (version.effective_date >= Date.current if !version.effective_date.nil?) }

HTH,

Mischa.

Replies (3)

RE: ScrumAlliance Burndown plugin - No version error - Added by Eric Davis over 8 years ago

Thanks Mischa,

I added a comment to their GitHub project. I'll try to setup the plugin myself soon and will give it a good run around then.

All others, Scrum Alliance has several other Scrum plugins in their Redmine repo. They are pulling them out into separate plugin repositories but if you want to see what's coming up they have plugins:

  • burndown
  • backlog
  • issue grouping
  • story decomposition
  • task board

http://github.com/scrumalliance

Eric

RE: ScrumAlliance Burndown plugin - No version error - Added by Gunnar Ziesche over 8 years ago

Hi, we want to use the Burndown plugin.
Is it possible to use the plugin w.o. the othr SA plugins?

RE: ScrumAlliance Burndown plugin - No version error - Added by Eric Davis over 8 years ago

Gunnar Ziesche wrote:

Hi, we want to use the Burndown plugin.
Is it possible to use the plugin w.o. the othr SA plugins?

Yes.

Eric

(1-3/3)